<!DOCTYPE html>

<html lang="en">

{% load static %}
<head>
    <meta charset="UTF-8">
    <title>INCIDENTS PRODUCTION</title>
	   <link href="{% static 'css/bootstrap.min.css' %}" >
		<script src="{% static 'bootstrap.min.js' %}"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <link rel="stylesheet" href="{% static 'style/style.css'%}">
    <link rel="icon" type="image/png" href= "{% static 'images/logo.png' %}"/>
        <style>
form {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    border-radius: 5px;
}

.form-group {
    margin-bottom: 10px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}
input[type="date"],
input[type="text"],
input[type="number"],
textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
}

input[type="submit"] {
    padding: 10px;
    border: none;
    background-color: #007bff;
    color: #fff;
    cursor: pointer;
    border-radius: 3px;
    float: inline-end;
}

input[type="submit"]:hover {
    background-color: #0056b3;
}
</style>
</head>

<body>

<h1>Incidents <code>prod</code></h1>

{% include 'menu.html' %}

<form method="post" onsubmit="return validerFormulaire()">{% csrf_token %}
        <div class="form-group">
            <label for="date">Date :</label>
            <input type="date" id="date" name="date">
        </div>
        <div class="form-group">
            <label for="integer">Reimpression :</label>
            <input type="number" id="integer" name="integer" step="1">
        </div>

        <div class="form-group">
            <label for="solution">Solution / Remarques :</label>
            <textarea id="solution" name="solution" placeholder="Solution"></textarea>
        </div>
    <label >Motif :</label><br>
     <select name="id_motif" style = "padding: inherit;">
         {% for key, values in ids.items %}
             <option value="{{key}}">{{values}} : {{key}}</option>
        {% endfor %}
         </select >
        <div class="form-group">
            <input type="submit" value="Envoyer" name="envoyer">
        </div>
    </form>

<script>
function validerFormulaire() {
  var nom = document.getElementById("date").value;
  if (nom === "") {
    alert("Veuillez remplir la Date");
    return false;
  }
  return true;
}
</script>
</body>

<footer>
    <div style="float: right; width: 450px;">
        <strong style="background-color: green;color: white;">{{envoye}}</strong>
    </div>
</footer>
</html>

